﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head><title>Deleting Roles</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Deleting Roles</h1>
        <p>Once a role is created in EIC, the <strong>Delete Role</strong> button is displayed inline with the newly created role in <strong>Roles List</strong> page. Using this option, you can delete the role.</p>
        <p>
            <img src="../../Resources/Images/Delete Role option in Roles.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" />
        </p>
        <p>Figure: Delete Role option in Roles List page</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">The <strong>Delete Role</strong> option is seen only when the role is newly created and the role status is <strong>Active</strong>. This option is available depending on the administrator configurations, to enable the options, refer&#160;<strong>Roles Configurations</strong> in <MadCap:xref href="../../Chapter06-Configuring-EIC/Global-Configurations.htm">Global Configurations</MadCap:xref>.</p>
            <p class="note">When the role status is <strong>Pending Approval</strong>, only the <strong>View Role</strong> and <strong>Export</strong> options are displayed.</p>
        </div>
        <h3 id="DeletingRoles-StepsforDeletingaRole">Steps for Deleting a Role</h3>
        <p>To delete a role from EIC, perform the following steps:</p>
        <ol>
            <li>Select <strong>ARS &gt; Manage Roles</strong> tab. The <strong>Roles List</strong> page is displayed.</li>
            <li>Select the role that you want to delete and click <strong>Delete Role</strong> button.</li>
            <li>A pop-up message is displayed asking whether you want to delete the role.</li>
        </ol>
        <p style="margin-left: 30.0px;">Figure: Popup message while deleting a role in EIC</p>
        <p style="margin-left: 30.0px;">4. Click <strong>Proceed</strong>. A message is displayed that the role is deleted.</p>
        <p style="margin-left: 30.0px;">The deleted role is added in the <strong>Roles List</strong> as with status "Inactive". Also, the word "deleted" is appended to the Role Name. This is shown in the following figure:</p>
        <p style="margin-left: 30.0px;">
            <img src="../../Resources/Images/Deleted Roles.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" />
        </p>
        <p style="margin-left: 30.0px;">Figure: Deleted Roles in Roles List</p>
        <div class="confluence-information-macro-body">
            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                <p class="note">Even after deleting the role, you can view the role details from <strong>View Role</strong> button inline with the role in the&#160;<strong>Roles List </strong>page.</p>
            </div>
        </div>
        <div class="warning" MadCap:autonum="&lt;b&gt;Warning&lt;/b&gt;">
            <p class="note">When you delete a role from&#160;&#160;<strong>ARS &gt; Manage Roles&#160;&gt;</strong>  &#160;<strong>Roles List</strong> page, the role is also deleted from the <strong>Roles</strong> tab in <strong>Admin &gt; Identity Repository &gt; Users &gt; User Show</strong>.</p>
        </div>
    </body>
</html>